/* General styling for the section */
#skills{
    scroll-margin-top: 100px;
}
.skill-container {
    /* display: flex; 
    align-items: center;
    justify-content: center;  */
    padding: 80px 0;
    min-height: 100vh;
  }
  
  .skills__container {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    gap: 30px;
    align-items: center;
    justify-items: center; 
  }
  /* Initial hidden state */
.skill-container, .skills__data{
    opacity: 0; /* Initially hidden */
    transform: translateY(20px); /* Start from a lower position */
    transition: opacity 0.5s ease, transform 0.5s ease; /* Smooth transition */
}

.is-visible {
    opacity: 1; 
    transform: translateY(0); 
}
  .s-header {
    width: 100%;
    background-color: transparent;
    z-index: 1000;
    padding: 10px 0;
  }
  
  
  .section-title {
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 40px;
  }
  
  .skills__container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    align-items: center;
  }
  
  .skills__subtitle {
    font-size: 20px;
    font-weight: 600;
  }
  
  .skills__text {
    margin-bottom: 30px;
    line-height: 1.6;
  }
  
  .skills__data {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 15px;
  }
  
  .skills__names {
    display: flex;
    align-items: center;
  }
  
  .skills__names i {
    font-size: 24px;
    color: #000000;
    margin-right: 10px;
  }
  
  .skills__name {
    font-size: 16px;
    font-weight: 600;
  }
  
  .skills__bar {
    width: 100%;
    height: 10px;
    background-color: #d8d8d8;
    border-radius: 5px;
    overflow: hidden;
    margin: 0 15px;
  }
  
  .skills__html {
    width: 95%;
    background-color: #f06529; /* HTML bar color */
  }
  
  .skills__css {
    width: 85%;
    background-color: #2965f1; /* CSS bar color */
  }
  
  .skills__js {
    width: 65%;
    background-color: #f7df1e; /* JavaScript bar color */
  }
  
  .skills__ux {
    width: 85%;
    background-color: #61dafb; /* React bar color */
  }
  
  .skills__percentage {
    font-size: 14px;
    font-weight: 600;
  }
  
  .skills__img {
    max-width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
  }
  

  /* Media Queries */

/* Adjust the layout for screens with a max width of 768px */
@media screen and (max-width: 768px) {
    .skills__container {
      grid-template-columns: 1fr; 
      text-align: center;
    }
  
    .skills__data {
      flex-direction: column; 
    }
  
    .skills__bar {
      margin: 10px 0; 
    }
  }
  

  @media screen and (max-width: 576px) {
    .skills__img {
      width: 80%; 
      margin: 0 auto; 
    }
  
    .skills__container {
      gap: 20px; 
    }
  }
  